JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- File List
- File Members

Loading...
Searching...
No Matches
Classes | Macros | Functions
juce_LocalisedStrings.h File Reference

## Classes
class | LocalisedStrings
| Used to convert strings to localised foreign-language versions. More...

## Macros
#define | TRANS(stringLiteral) juce::translate (stringLiteral)
| Uses the LocalisedStrings class to translate the given string literal.
#define | NEEDS_TRANS(stringLiteral) (stringLiteral)
| A dummy version of the TRANS macro, used to indicate a string literal that should be added to the translation file by source-code scanner tools.

## Functions
JUCE_API String | translate (const String &stringLiteral)
| Uses the LocalisedStrings class to translate the given string literal.
JUCE_API String | translate (const char *stringLiteral)
| Uses the LocalisedStrings class to translate the given string literal.
JUCE_API String | translate (CharPointer_UTF8 stringLiteral)
| Uses the LocalisedStrings class to translate the given string literal.
JUCE_API String | translate (const String &stringLiteral, const String &resultIfNotFound)
| Uses the LocalisedStrings class to translate the given string literal.